<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.SemanticSearch.Options Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html">SemanticSearch</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html">Options</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Properties</a> &#124;
<a href="class_semantic_search_implementation_1_1_semantic_search_1_1_options-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.SemanticSearch.Options Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to define valid options, and to receive the parsed options.  
 <a href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:abb97fa5d08109a9e4666d314c9ac4977"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#abb97fa5d08109a9e4666d314c9ac4977">Action</a><code> [get, set]</code></td></tr>
<tr class="separator:abb97fa5d08109a9e4666d314c9ac4977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a385ebc279f243db62c94f01808cdd38f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a385ebc279f243db62c94f01808cdd38f">VirtuosoServer</a><code> [get, set]</code></td></tr>
<tr class="separator:a385ebc279f243db62c94f01808cdd38f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ca1941cacec8d275f4b4cf6c0b71327"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a9ca1941cacec8d275f4b4cf6c0b71327">VirtuosoPort</a><code> [get, set]</code></td></tr>
<tr class="separator:a9ca1941cacec8d275f4b4cf6c0b71327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af946d5dd83c7e708cfc8eb8887b7f90a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#af946d5dd83c7e708cfc8eb8887b7f90a">VirtuosoDb</a><code> [get, set]</code></td></tr>
<tr class="separator:af946d5dd83c7e708cfc8eb8887b7f90a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9741ed3e53f0a6885f04abd32b9925a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#ae9741ed3e53f0a6885f04abd32b9925a">VirtuosoDbUser</a><code> [get, set]</code></td></tr>
<tr class="separator:ae9741ed3e53f0a6885f04abd32b9925a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25218cd566f7f0c7a77fec6561adf92c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a25218cd566f7f0c7a77fec6561adf92c">VirtuosoDbPassword</a><code> [get, set]</code></td></tr>
<tr class="separator:a25218cd566f7f0c7a77fec6561adf92c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac874af4197ca4b5d34ab5a37b4973b58"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#ac874af4197ca4b5d34ab5a37b4973b58">ElasticsearchServer</a><code> [get, set]</code></td></tr>
<tr class="separator:ac874af4197ca4b5d34ab5a37b4973b58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab556020711074c17dd03b776b9d2fad0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#ab556020711074c17dd03b776b9d2fad0">ElasticsearchPort</a><code> [get, set]</code></td></tr>
<tr class="separator:ab556020711074c17dd03b776b9d2fad0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e7c583ca98d3c8800b9d7f36091def5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a9e7c583ca98d3c8800b9d7f36091def5">Language</a><code> [get, set]</code></td></tr>
<tr class="separator:a9e7c583ca98d3c8800b9d7f36091def5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad035969e608c51ac884ade36c20f761"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#aad035969e608c51ac884ade36c20f761">Document</a><code> [get, set]</code></td></tr>
<tr class="separator:aad035969e608c51ac884ade36c20f761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bbd2b48df4883c99c9471737f48223c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a9bbd2b48df4883c99c9471737f48223c">Query</a><code> [get, set]</code></td></tr>
<tr class="separator:a9bbd2b48df4883c99c9471737f48223c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cb4a15c43639a143487a88655bca3b6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a5cb4a15c43639a143487a88655bca3b6">Advanced</a><code> [get, set]</code></td></tr>
<tr class="separator:a5cb4a15c43639a143487a88655bca3b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ddbb055edcab078f2c418ce4901c5d8"><td class="memItemLeft" align="right" valign="top">String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a6ddbb055edcab078f2c418ce4901c5d8">User</a><code> [get, set]</code></td></tr>
<tr class="separator:a6ddbb055edcab078f2c418ce4901c5d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to define valid options, and to receive the parsed options. </p>
</div><h2 class="groupheader">Property Documentation</h2>
<a id="abb97fa5d08109a9e4666d314c9ac4977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb97fa5d08109a9e4666d314c9ac4977">&#9670;&nbsp;</a></span>Action</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.Action</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5cb4a15c43639a143487a88655bca3b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cb4a15c43639a143487a88655bca3b6">&#9670;&nbsp;</a></span>Advanced</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SemanticSearchImplementation.SemanticSearch.Options.Advanced</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aad035969e608c51ac884ade36c20f761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad035969e608c51ac884ade36c20f761">&#9670;&nbsp;</a></span>Document</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.Document</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab556020711074c17dd03b776b9d2fad0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab556020711074c17dd03b776b9d2fad0">&#9670;&nbsp;</a></span>ElasticsearchPort</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SemanticSearchImplementation.SemanticSearch.Options.ElasticsearchPort</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac874af4197ca4b5d34ab5a37b4973b58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac874af4197ca4b5d34ab5a37b4973b58">&#9670;&nbsp;</a></span>ElasticsearchServer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.ElasticsearchServer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e7c583ca98d3c8800b9d7f36091def5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e7c583ca98d3c8800b9d7f36091def5">&#9670;&nbsp;</a></span>Language</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.Language</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9bbd2b48df4883c99c9471737f48223c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bbd2b48df4883c99c9471737f48223c">&#9670;&nbsp;</a></span>Query</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.Query</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ddbb055edcab078f2c418ce4901c5d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ddbb055edcab078f2c418ce4901c5d8">&#9670;&nbsp;</a></span>User</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">String SemanticSearchImplementation.SemanticSearch.Options.User</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af946d5dd83c7e708cfc8eb8887b7f90a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af946d5dd83c7e708cfc8eb8887b7f90a">&#9670;&nbsp;</a></span>VirtuosoDb</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.VirtuosoDb</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a25218cd566f7f0c7a77fec6561adf92c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25218cd566f7f0c7a77fec6561adf92c">&#9670;&nbsp;</a></span>VirtuosoDbPassword</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.VirtuosoDbPassword</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9741ed3e53f0a6885f04abd32b9925a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9741ed3e53f0a6885f04abd32b9925a">&#9670;&nbsp;</a></span>VirtuosoDbUser</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.VirtuosoDbUser</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ca1941cacec8d275f4b4cf6c0b71327"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ca1941cacec8d275f4b4cf6c0b71327">&#9670;&nbsp;</a></span>VirtuosoPort</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SemanticSearchImplementation.SemanticSearch.Options.VirtuosoPort</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a385ebc279f243db62c94f01808cdd38f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a385ebc279f243db62c94f01808cdd38f">&#9670;&nbsp;</a></span>VirtuosoServer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.SemanticSearch.Options.VirtuosoServer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_semantic_search_8cs.html">SemanticSearch.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
